Bug 21246 - Video mode selection in drakboot is ignored when using grub2
Summary: Video mode selection in drakboot is ignored when using grub2
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: Mageia tools maintainers
QA Contact:
URL:
Whiteboard:
Keywords: PATCH
Depends on: 21263
Blocks: 21340 21248
  Show dependency treegraph
 
Reported: 2017-07-15 12:37 CEST by Martin Whitaker
Modified: 2018-06-11 23:08 CEST (History)
2 users (show)

See Also:
Source RPM: drakxtools-17.88-1.mga6.src.rpm
CVE:
Status comment:


Attachments
Proposed fix (4.02 KB, text/plain)
2017-07-25 01:09 CEST, Martin Whitaker
Details
Proposed fix v2 (4.02 KB, text/plain)
2017-12-08 10:13 CET, Martin Whitaker
Details

Description Martin Whitaker 2017-07-15 12:37:34 CEST
Under the Advanced options in the second bootloader configuration screen, you can select a video mode from a drop down list. This is ignored when the grub2 configuration is written.

If there is an existing video mode setting (vga=...) in the boot options, this appears in the "Append" string. I believe it is supposed to be extracted and used to set the default video mode selection.
Comment 1 Martin Whitaker 2017-07-25 01:09:38 CEST
Created attachment 9514 [details]
Proposed fix

This needs to be applied after the patch attached to bug 21263 (attachment 9511 [details]).
Comment 2 Martin Whitaker 2017-07-25 01:16:23 CEST
Adding to the mga5->mga6 upgrade tracker, because it affects people who choose to convert from grub to grub2 - the video mode setting is lost, which can lead to plymouth failing to display the splash screen with some video drivers.

Depends on: (none) => 21263
Keywords: (none) => PATCH
Blocks: (none) => 21340

Martin Whitaker 2017-07-25 01:19:02 CEST

Blocks: (none) => 21248

Trou Du Cul Merdeux 2017-07-26 20:53:26 CEST

Severity: normal => critical
CC: (none) => trouducul
Priority: Normal => release_blocker
Target Milestone: --- => Mageia 7

Comment 3 Samuel Verschelde 2017-07-26 21:37:07 CEST
Restoring bug fields to how they were before a troll changed them.

Priority: release_blocker => Normal
Severity: critical => normal
CC: trouducul => (none)
Target Milestone: Mageia 7 => ---

Florian Hubold 2017-12-05 14:25:07 CET

CC: (none) => doktor5000

Comment 4 Martin Whitaker 2017-12-08 10:13:57 CET
Created attachment 9823 [details]
Proposed fix v2

Updated to match updated patch in bug 21263 (which needs to be applied first).

Attachment 9514 is obsolete: 0 => 1

Comment 5 Mageia Robot 2018-01-09 22:18:21 CET
commit f70da6dee2087dbcb26e1ae6e00c5ea859c0c787
Author: Martin Whitaker <mageia@...>
Date:   Mon Jul 24 23:07:38 2017 +0100

    Fix drakboot video mode selection when using grub2 (mga#21246)
    
    The video mode needs to be extracted from and written back to the
    GRUB_CMDLINE_LINUX_DEFAULT parameter in /etc/defaults/grub2.
    
    This fix creates a new "default_vga" key in the $bootloader hash to
    hold the current selection. Using the existing "vga" key would cause
    the default video mode to be added to any bootloader entries that
    don't have a specific "vga" value, e.g. the "failsafe" entry.
    
    The $bootloader "vga" value doesn't appear to be set anywhere else,
    so may in fact be obsolete.
---
 Commit Link:
   http://gitweb.mageia.org/software/drakx/commit/?id=f70da6dee2087dbcb26e1ae6e00c5ea859c0c787
Martin Whitaker 2018-05-29 23:16:10 CEST

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=23097

Comment 6 Mauricio Andrés Bustamante Viveros 2018-05-31 05:14:11 CEST
Tested in Virtual Box using GRUB2

The VGA=791 is appended if I choose 1024*768*16, after reboot, if I return to drakboot (using MCC), and choose the advanced options, the tool remebers the last selection (OK for ME) 

The vga=794 is appended if I choose the 1280*1024*16

This update is good to OK

CC: (none) => neoser10

Comment 7 Martin Whitaker 2018-06-11 23:08:59 CEST
Fix released in drakxtools-17.88.2-1.mga6.src.rpm.

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.